import { doFetch } from '@/utils/doFetch';
function getcolumns(setdrawer) {
    const common = [
        {
            title: "入库类型",
            dataIndex: "inStoreTypeName",
            key: "inStoreType",
            valueType: 'select',
            options: [
                {
                    label: '来料入库',
                    value: 1
                },
                {
                    label: '生产入库',
                    value: 2
                },
                {
                    label: '生产退料入库',
                    value: 3
                },
                {
                    label: '调拨入库',
                    value: 4
                }
            ]
        },
        {
            title: "入库仓库",
            dataIndex: "storeName",
            key: "storeId",
            valueType: 'select',
            options: {
                path: '/ta_wms_auth/sysStore/selectionBoxAll',
                params: {}
            },
            fieldProps:{
                showSearch:true
            }
        },
        {
            title: "备注",
            dataIndex: "remark",
            key: "remark",
            hideInSearch: true
        },
        {
            title: "创建人",
            dataIndex: "createUserName",
            key: "createUserName",
            hideInSearch: true
        },
        {
            title: "创建时间",
            dataIndex: "createTime",
            key: "createTime",
            hideInSearch: true
        }
    ];
    return [
        {
            tab: '未完成',
            key: '1',
            columns: [
                {
                    title: '基础信息',
                    valueType: 'split'
                },
                {
                    title: "入库单号",
                    dataIndex: "inStoreNo",
                    key: "inStoreNo",
                    render: (_, row) => {
                        return <a className='table-cell' onClick={async () => {
                            let res = await doFetch({ url: '/ta_wms_workmanship/wmsInStore/queryDetail', params: { id: row.id } });
                            setdrawer(s => {
                                return {
                                    ...s,
                                    val: 'detailaddon',
                                    item: res?.data?.data??{},
                                    title: '入库单详情',
                                    open: true
                                }
                            })
                        }} >{row.inStoreNo}</a>
                    }
                },
                ...common,
                {
                    title: '来源单据',
                    dataIndex: 'sourceNo',
                    key: 'sourceNo',
                    hideInSearch: true
                },
                {
                    title: '状态',
                    dataIndex: 'inStoreStatusName',
                    key: 'inStoreStatus',
                    valueType: 'select',
                    options: [
                        {
                            label: '待分配',
                            value: 0
                        },
                        {
                            label: '待执行',
                            value: 1
                        },
                        {
                            label: '执行中',
                            value: 2
                        }
                    ]
                }
            ],
            pathconfig: {
                list: '/ta_wms_workmanship/wmsInStore/queryPage',
            },
        },
        {
            tab: '已完成',
            key: '2',
            columns: [
                {
                    title: '基础信息',
                    valueType: 'split'
                },
                {
                    title: "入库单号",
                    dataIndex: "inStoreNo",
                    key: "inStoreNo",
                    render: (_, row) => {
                        return <a className='table-cell' onClick={async () => {
                            let res = await doFetch({ url: '/ta_wms_workmanship/wmsInStoreHis/queryDetail', params: { id: row.id } });
                            setdrawer(s => {
                                return {
                                    ...s,
                                    val: 'detailaddon',
                                    item: res?.data?.data??{},
                                    title: '入库单详情',
                                    open: true
                                }
                            })
                        }} >{row.inStoreNo}</a>
                    }
                },
                ...common,
                {
                    title: '完成时间',
                    dataIndex: 'finishTime',
                    key: 'finishTime',
                    hideInSearch: true
                },
                {
                    title: '状态',
                    dataIndex: 'inStoreStatusName',
                    key: 'inStoreStatus',
                    valueType: 'select',
                    options: [
                        {
                            label: '已完成',
                            value: 3
                        },
                        {
                            label: '已关单',
                            value: 4
                        }
                    ]
                }
            ],
            pathconfig: {
                add: '',
                edit: '',
                list: '/ta_wms_workmanship/wmsInStoreHis/queryPage',
                delete: '',
                detail: '',
            },
        }
    ];
}

export default getcolumns;